g2p-seq2seq: sudo python3.4 setup.py install

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
Antworten
quantenmaschine
User
Beiträge: 1
Registriert: Samstag 3. November 2018, 04:50

Samstag 3. November 2018, 05:02

running install
running bdist_egg
running egg_info
writing entry points to g2p_seq2seq.egg-info/entry_points.txt
writing requirements to g2p_seq2seq.egg-info/requires.txt
writing g2p_seq2seq.egg-info/PKG-INFO
writing dependency_links to g2p_seq2seq.egg-info/dependency_links.txt
writing top-level names to g2p_seq2seq.egg-info/top_level.txt
reading manifest file 'g2p_seq2seq.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'g2p_seq2seq.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/app.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/g2p.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/g2p_encoder.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/g2p_problem.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/g2p_trainer_utils.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/params.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
copying build/lib/g2p_seq2seq/__init__.py -> build/bdist.linux-x86_64/egg/g2p_seq2seq
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/app.py to app.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/g2p.py to g2p.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/g2p_encoder.py to g2p_encoder.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/g2p_problem.py to g2p_problem.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/g2p_trainer_utils.py to g2p_trainer_utils.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/params.py to params.cpython-34.pyc
byte-compiling build/bdist.linux-x86_64/egg/g2p_seq2seq/__init__.py to __init__.cpython-34.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/entry_points.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying g2p_seq2seq.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
zip_safe flag not set; analyzing archive contents...
g2p_seq2seq.__pycache__.g2p.cpython-34: module references __file__
creating 'dist/g2p_seq2seq-6.2.2a0-py3.4.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing g2p_seq2seq-6.2.2a0-py3.4.egg
removing '/usr/lib/python3.4/site-packages/g2p_seq2seq-6.2.2a0-py3.4.egg' (and everything under it)
creating /usr/lib/python3.4/site-packages/g2p_seq2seq-6.2.2a0-py3.4.egg
Extracting g2p_seq2seq-6.2.2a0-py3.4.egg to /usr/lib/python3.4/site-packages
g2p-seq2seq 6.2.2a0 is already the active version in easy-install.pth
Installing g2p-seq2seq script to /usr/bin

Installed /usr/lib/python3.4/site-packages/g2p_seq2seq-6.2.2a0-py3.4.egg
Processing dependencies for g2p-seq2seq==6.2.2a0
Searching for gevent
Reading https://pypi.python.org/simple/gevent/
Best match: gevent 1.3.7
Downloading https://files.pythonhosted.org/packages ... 8609c80e2c
Processing gevent-1.3.7.tar.gz
Writing /tmp/easy_install-492a4gpe/gevent-1.3.7/setup.cfg
Running gevent-1.3.7/setup.py -q bdist_egg --dist-dir /tmp/easy_install-492a4gpe/gevent-1.3.7/egg-dist-tmp-p1gl8me6
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 152, in save_modules
yield saved
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
yield
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 237, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 267, in run
return func()
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 236, in runner
_execfile(setup_script, ns)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 46, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-492a4gpe/gevent-1.3.7/setup.py", line 418, in <module>
File "/tmp/easy_install-492a4gpe/gevent-1.3.7/setup.py", line 402, in run_setup
File "/usr/lib64/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 268, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 804, in resolve
requirements = list(requirements)[::-1]
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2930, in parse_requirements
"version spec")
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2897, in scan_list
items.append(match.group(*groups))
AttributeError: 'NoneType' object has no attribute 'group'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "setup.py", line 53, in <module>
test_suite = 'tests'
File "/usr/lib64/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib64/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/usr/lib64/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/usr/lib/python3.4/site-packages/setuptools/command/install.py", line 67, in run
self.do_egg_install()
File "/usr/lib/python3.4/site-packages/setuptools/command/install.py", line 117, in do_egg_install
cmd.run()
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 389, in run
self.easy_install(spec, not self.no_deps)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 626, in easy_install
return self.install_item(None, spec, tmpdir, deps, True)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 677, in install_item
self.process_distribution(spec, dist, deps)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 725, in process_distribution
[requirement], self.local_index, self.easy_install
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 836, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1081, in best_match
return self.obtain(req, installer)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1093, in obtain
return installer(requirement)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 645, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 675, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 858, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 1086, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/usr/lib/python3.4/site-packages/setuptools/command/easy_install.py", line 1072, in run_setup
run_setup(setup_script, args)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 240, in run_setup
raise
File "/usr/lib64/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
yield
File "/usr/lib64/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 164, in save_modules
saved_exc.resume()
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 139, in resume
compat.reraise(type, exc, self._tb)
File "/usr/lib/python3.4/site-packages/setuptools/compat.py", line 65, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 152, in save_modules
yield saved
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 193, in setup_context
yield
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 237, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 267, in run
return func()
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 236, in runner
_execfile(setup_script, ns)
File "/usr/lib/python3.4/site-packages/setuptools/sandbox.py", line 46, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-492a4gpe/gevent-1.3.7/setup.py", line 418, in <module>
File "/tmp/easy_install-492a4gpe/gevent-1.3.7/setup.py", line 402, in run_setup
File "/usr/lib64/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 268, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 804, in resolve
requirements = list(requirements)[::-1]
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2930, in parse_requirements
"version spec")
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2897, in scan_list
items.append(match.group(*groups))
AttributeError: 'NoneType' object has no attribute 'group'
Antworten